init:
    define ra = Character('Rattia', image="rattia", color="#8e5974", show_two_window=True, ctc="ctc_icon", ctc_position="fixed")
    define kh = DynamicCharacter('khir_name', image="khir", color="#6d0000", show_two_window=True, ctc="ctc_icon", ctc_position="fixed")
    $ khir_name = '???'
    define ch = DynamicCharacter('chi_name', image="chi", color="#ba531c", show_two_window=True, ctc="ctc_icon", ctc_position="fixed")
    $ chi_name = '???'
    define te = DynamicCharacter('teto_name', image="teto", color="#c54ad3", show_two_window=True, ctc="ctc_icon", ctc_position="fixed")
    $ teto_name = '???'
    #define nk = Character('???', color="#fff", show_two_window=True, ctc="ctc_icon", ctc_position="fixed") #Not Known
    define un = DynamicCharacter('unclean_name', image="unclean", color="#770028", show_two_window=True, ctc="ctc_icon", ctc_position="fixed")
    $ unclean_name = '???'
    define mo = Character('Mo', image="mo", color="#ced0cc", show_two_window=True, ctc="ctc_icon", ctc_position="fixed")

define narrator = Character(None, ctc="ctc_icon", ctc_position="fixed")

image ctc_icon: #This CTC uses ATL to move
       "GUI/ctc.png",
       subpixel True
       yalign 0.94 xalign 0.98
       parallel:
           block:
               linear 2.0 yalign 0.94
               linear 1.0 yalign 0.935
               repeat
       parallel:
           block:
               linear 1.0 rotate 40
               linear 1.0 rotate -40
               repeat 

init:
    #Positions
    $ moreleft = Position(xpos=0.1,
        xanchor=0,
        ypos=0,
        yanchor=0)
    $ middleleft = Position(xpos=0.2,
        xanchor=0,
        ypos=0,
        yanchor=0)
    $ middleright = Position(xpos=0.7,
        xanchor=0,
        ypos=0,
        yanchor=0)
    $ moreright = Position(xpos=0.9,
        xanchor=0,
        ypos=0,
        yanchor=0)
    transform floating:
        ypos 20
        block:
            parallel:
                linear 2.0 ypos 10
                linear 1.0 ypos 20
                linear 2.0 ypos 10
                linear 1.0 ypos 20
            parallel:
                linear 3.0 alpha 0.5
                linear 1.0 alpha 0.3
                linear 3.0 alpha 1.0
            repeat

#town items:
image town_empty = "items/town_empty.png"
#image town_lights = "items/town_lights.png"
image cross = "items/cross.png"
image candle = "items/candle.png"
#forest items:
image forest_empty = "items/forest_empty.png"
image cloak = "items/cloak.png"
image hay = "items/hay.png"
image forest_hills = "items/forest_hills.png"
image forest_lamp = "items/forest_lamp.png"
image forest_path = "items/forest_path.png"
image forest_trees = "items/forest_trees.png"
#graveyard items:
image grave_empty = "items/grave_empty.png"
image mirror = "items/mirror.png"
image poison = "items/poison.png"

init +1 python:
    town_items = []
    town_items.append(ItemHidden("cross", "cross", "", True))
    town_items.append(ItemHidden("candle", "candle", "", True))
    
    forest_items = []
    forest_items.append(ItemHidden("forest_hills", "hills", "hills"))
    forest_items.append(ItemHidden("forest_path", "path", "path"))
    forest_items.append(ItemHidden("forest_trees", "trees", "trees"))
    forest_items.append(ItemHidden("forest_lamp", "lamp", "You found the lamp. You place it in your pocket. Lool."))
    forest_items.append(ItemHidden("cloak", "cloak", "", True))
    forest_items.append(ItemHidden("hay", "hay", "", True))

    grave_items = []
    grave_items.append(ItemHidden("mirror", "mirror", "", True))
    grave_items.append(ItemHidden("poison", "poison", "", True))
    

    
    renpy.music.register_channel ("time", "sfx", True)
